"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Panel = void 0;
const react_1 = require("react");
const component_helpers_1 = require("@not-govuk/component-helpers");
require("../assets/Panel.scss");
const Panel = ({ children, classBlock, classModifiers, className, title, ...attrs }) => {
    const classes = (0, component_helpers_1.classBuilder)('govuk-panel', classBlock, classModifiers, className);
    return ((0, react_1.createElement)("div", { ...attrs, className: classes() },
        (0, react_1.createElement)("h1", { className: classes('title') }, title),
        (0, react_1.createElement)("div", { className: classes('body') }, children)));
};
exports.Panel = Panel;
exports.default = exports.Panel;
